<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_MISCELLANEOUS_PROJECT_COSTS_INQ';
if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/projects/includes/db/miscellaneous_project_cost_inquiry_db.inc");


$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}

page($help_context = "Approve Miscellaneous Project Cost Inquiry", false, false, "", $js);
//---------------------------------------------------------------------------------------------

simple_page_mode(true);

if (isset($_GET['order_no']))
{
    $_POST['order_no'] = $_GET['order_no'];
}

function selected_id($row)
{
    return get_project_trans_view_str(ST_MISCELLANEOUS_PROJECT_COST, $row['id']);  
}

function project_description($row)
{
    return $row['project_description'];
}


function reference($row)
{
    return $row['reference'];
}

function order_date($row)
{
   return sql2date($row['date']);
}

function comment($row)
{
    return $row['comment'];
}



function edit_link($row) 
{
    $modify = "MPC_No";   
        
    return pager_link(_("Edit"), "/projects/miscellaneous_project_costs.php?$modify=". $row['id'], ICON_EDIT);   
   
}

//--------------------------------------------------------------------------------------------------


if ($Mode == 'RESET')
{
	$selected_id = -1;
}

if (isset($_POST['_selected_id_update']) )
{
	$selected_id = $_POST['selected_id'];
	//$Ajax->activate('_page_body');
}

//if (list_updated('employee_code')) 
	$Ajax->activate('_page_body');
//--------------------------------------------------------------------------------------------------


start_form();

//---------------------------------------------------------------------------------------------


$current_user_id = $_SESSION['wa_current_user']->user;

$sql = get_sql_for_approve_miscellaneous_project_cost_inquiry($current_user_id);    
                                                       
                                                      
 $cols = array(_("ID")=> array('fun'=>'selected_id','align'=>'center'),
                _("Reference")=>array('fun'=>'reference'),   
                _("Project")=> array('fun'=>'project_description'),                                             
                _("Date")=>array('fun'=>'order_date','align'=>'left'),                         
                _("Comment")=>array('fun'=>'comment'),
             
            );

    array_append($cols, array(
		
		array('insert'=>true, 'fun'=>'edit_link')));

//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

$table->width = "80%";

display_db_pager($table);

br();

if (!@$_GET['popup'])
{
    end_form();
    end_page();
}	


?>
